From: Yao Wei <mwei@debian.org>
Date: Sat, 30 Jul 2022 10:40:05 +0800
Subject: Update DesignSpace test data from newer version of fontTools.
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1013363
Bug: https://github.com/googlefonts/glyphsLib/issues/787
Origin: other, https://github.com/googlefonts/glyphsLib/pull/799

---
 tests/data/DesignspaceGenTestItalic.designspace    |  72 +++----
 tests/data/DesignspaceGenTestRegular.designspace   |  72 +++----
 tests/data/DesignspaceTestBasic.designspace        | 104 +++++-----
 tests/data/DesignspaceTestFamilyName.designspace   |  76 ++++----
 tests/data/DesignspaceTestFileName.designspace     |  76 ++++----
 tests/data/DesignspaceTestInactive.designspace     |  62 +++---
 .../data/DesignspaceTestInstanceOrder.designspace  |  90 ++++-----
 tests/data/DesignspaceTestTwoAxes.designspace      | 214 ++++++++++-----------
 8 files changed, 364 insertions(+), 402 deletions(-)

diff --git a/tests/data/DesignspaceGenTestItalic.designspace b/tests/data/DesignspaceGenTestItalic.designspace
index 58068dc..b771b54 100644
--- a/tests/data/DesignspaceGenTestItalic.designspace
+++ b/tests/data/DesignspaceGenTestItalic.designspace
@@ -1,37 +1,37 @@
-<?xml version='1.0' encoding='utf-8'?>
-<designspace format="4.1">
-    <axes>
-        <axis default="400" maximum="800" minimum="300" name="Weight" tag="wght" />
-    </axes>
-    <sources>
-        <source familyname="CoolFoundry Examplary Serif" filename="CoolFoundryExamplarySerif-LightItalic.ufo" name="CoolFoundry Examplary Serif Light Italic" stylename="Light Italic">
-            <location>
-                <dimension name="Weight" xvalue="300" />
-            </location>
-        </source>
-        <source familyname="CoolFoundry Examplary Serif" filename="CoolFoundryExamplarySerif-RegularItalic.ufo" name="CoolFoundry Examplary Serif Regular Italic" stylename="Regular Italic">
-            <lib copy="1" />
-            <groups copy="1" />
-            <features copy="1" />
-            <info copy="1" />
-            <location>
-                <dimension name="Weight" xvalue="400" />
-            </location>
-        </source>
-        <source familyname="CoolFoundry Examplary Serif" filename="CoolFoundryExamplarySerif-MediumItalic.ufo" name="CoolFoundry Examplary Serif Medium Italic" stylename="Medium Italic">
-            <location>
-                <dimension name="Weight" xvalue="500" />
-            </location>
-        </source>
-        <source familyname="CoolFoundry Examplary Serif" filename="CoolFoundryExamplarySerif-BoldItalic.ufo" name="CoolFoundry Examplary Serif Bold Italic" stylename="Bold Italic">
-            <location>
-                <dimension name="Weight" xvalue="700" />
-            </location>
-        </source>
-        <source familyname="CoolFoundry Examplary Serif" filename="CoolFoundryExamplarySerif-XBoldItalic.ufo" name="CoolFoundry Examplary Serif XBold Italic" stylename="XBold Italic">
-            <location>
-                <dimension name="Weight" xvalue="800" />
-            </location>
-        </source>
-    </sources>
+<?xml version='1.0' encoding='UTF-8'?>
+<designspace format="5.0">
+  <axes>
+    <axis tag="wght" name="Weight" minimum="300" maximum="800" default="400"/>
+  </axes>
+  <sources>
+    <source filename="CoolFoundryExamplarySerif-LightItalic.ufo" name="CoolFoundry Examplary Serif Light Italic" familyname="CoolFoundry Examplary Serif" stylename="Light Italic">
+      <location>
+        <dimension name="Weight" xvalue="300"/>
+      </location>
+    </source>
+    <source filename="CoolFoundryExamplarySerif-RegularItalic.ufo" name="CoolFoundry Examplary Serif Regular Italic" familyname="CoolFoundry Examplary Serif" stylename="Regular Italic">
+      <lib copy="1"/>
+      <groups copy="1"/>
+      <features copy="1"/>
+      <info copy="1"/>
+      <location>
+        <dimension name="Weight" xvalue="400"/>
+      </location>
+    </source>
+    <source filename="CoolFoundryExamplarySerif-MediumItalic.ufo" name="CoolFoundry Examplary Serif Medium Italic" familyname="CoolFoundry Examplary Serif" stylename="Medium Italic">
+      <location>
+        <dimension name="Weight" xvalue="500"/>
+      </location>
+    </source>
+    <source filename="CoolFoundryExamplarySerif-BoldItalic.ufo" name="CoolFoundry Examplary Serif Bold Italic" familyname="CoolFoundry Examplary Serif" stylename="Bold Italic">
+      <location>
+        <dimension name="Weight" xvalue="700"/>
+      </location>
+    </source>
+    <source filename="CoolFoundryExamplarySerif-XBoldItalic.ufo" name="CoolFoundry Examplary Serif XBold Italic" familyname="CoolFoundry Examplary Serif" stylename="XBold Italic">
+      <location>
+        <dimension name="Weight" xvalue="800"/>
+      </location>
+    </source>
+  </sources>
 </designspace>
diff --git a/tests/data/DesignspaceGenTestRegular.designspace b/tests/data/DesignspaceGenTestRegular.designspace
index 396d112..c56856e 100644
--- a/tests/data/DesignspaceGenTestRegular.designspace
+++ b/tests/data/DesignspaceGenTestRegular.designspace
@@ -1,37 +1,37 @@
-<?xml version='1.0' encoding='utf-8'?>
-<designspace format="4.1">
-    <axes>
-        <axis default="400" maximum="800" minimum="300" name="Weight" tag="wght" />
-    </axes>
-    <sources>
-        <source familyname="CoolFoundry Examplary Serif" filename="CoolFoundryExamplarySerif-Light.ufo" name="CoolFoundry Examplary Serif Light" stylename="Light">
-            <location>
-                <dimension name="Weight" xvalue="300" />
-            </location>
-        </source>
-        <source familyname="CoolFoundry Examplary Serif" filename="CoolFoundryExamplarySerif-Regular.ufo" name="CoolFoundry Examplary Serif Regular" stylename="Regular">
-            <lib copy="1" />
-            <groups copy="1" />
-            <features copy="1" />
-            <info copy="1" />
-            <location>
-                <dimension name="Weight" xvalue="400" />
-            </location>
-        </source>
-        <source familyname="CoolFoundry Examplary Serif" filename="CoolFoundryExamplarySerif-Medium.ufo" name="CoolFoundry Examplary Serif Medium" stylename="Medium">
-            <location>
-                <dimension name="Weight" xvalue="500" />
-            </location>
-        </source>
-        <source familyname="CoolFoundry Examplary Serif" filename="CoolFoundryExamplarySerif-Bold.ufo" name="CoolFoundry Examplary Serif Bold" stylename="Bold">
-            <location>
-                <dimension name="Weight" xvalue="700" />
-            </location>
-        </source>
-        <source familyname="CoolFoundry Examplary Serif" filename="CoolFoundryExamplarySerif-XBold.ufo" name="CoolFoundry Examplary Serif XBold" stylename="XBold">
-            <location>
-                <dimension name="Weight" xvalue="800" />
-            </location>
-        </source>
-    </sources>
+<?xml version='1.0' encoding='UTF-8'?>
+<designspace format="5.0">
+  <axes>
+    <axis tag="wght" name="Weight" minimum="300" maximum="800" default="400"/>
+  </axes>
+  <sources>
+    <source filename="CoolFoundryExamplarySerif-Light.ufo" name="CoolFoundry Examplary Serif Light" familyname="CoolFoundry Examplary Serif" stylename="Light">
+      <location>
+        <dimension name="Weight" xvalue="300"/>
+      </location>
+    </source>
+    <source filename="CoolFoundryExamplarySerif-Regular.ufo" name="CoolFoundry Examplary Serif Regular" familyname="CoolFoundry Examplary Serif" stylename="Regular">
+      <lib copy="1"/>
+      <groups copy="1"/>
+      <features copy="1"/>
+      <info copy="1"/>
+      <location>
+        <dimension name="Weight" xvalue="400"/>
+      </location>
+    </source>
+    <source filename="CoolFoundryExamplarySerif-Medium.ufo" name="CoolFoundry Examplary Serif Medium" familyname="CoolFoundry Examplary Serif" stylename="Medium">
+      <location>
+        <dimension name="Weight" xvalue="500"/>
+      </location>
+    </source>
+    <source filename="CoolFoundryExamplarySerif-Bold.ufo" name="CoolFoundry Examplary Serif Bold" familyname="CoolFoundry Examplary Serif" stylename="Bold">
+      <location>
+        <dimension name="Weight" xvalue="700"/>
+      </location>
+    </source>
+    <source filename="CoolFoundryExamplarySerif-XBold.ufo" name="CoolFoundry Examplary Serif XBold" familyname="CoolFoundry Examplary Serif" stylename="XBold">
+      <location>
+        <dimension name="Weight" xvalue="800"/>
+      </location>
+    </source>
+  </sources>
 </designspace>
diff --git a/tests/data/DesignspaceTestBasic.designspace b/tests/data/DesignspaceTestBasic.designspace
index 0471ca1..574221e 100644
--- a/tests/data/DesignspaceTestBasic.designspace
+++ b/tests/data/DesignspaceTestBasic.designspace
@@ -1,57 +1,49 @@
-<?xml version='1.0' encoding='utf-8'?>
-<designspace format="4.1">
-    <axes>
-        <axis default="400" maximum="900" minimum="400" name="Weight" tag="wght">
-            <map input="400" output="90" />
-            <map input="600" output="128" />
-            <map input="700" output="151" />
-            <map input="900" output="190" />
-        </axis>
-    </axes>
-    <sources>
-        <source familyname="DesignspaceTest Basic" filename="DesignspaceTestBasic-Regular.ufo" name="DesignspaceTest Basic Regular" stylename="Regular">
-            <lib copy="1" />
-            <groups copy="1" />
-            <features copy="1" />
-            <info copy="1" />
-            <location>
-                <dimension name="Weight" xvalue="90" />
-            </location>
-        </source>
-        <source familyname="DesignspaceTest Basic" filename="DesignspaceTestBasic-Black.ufo" name="DesignspaceTest Basic Black" stylename="Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-            </location>
-        </source>
-    </sources>
-    <instances>
-        <instance familyname="DesignspaceTest Basic" filename="out/DesignspaceTestBasic-Regular.ufo" name="DesignspaceTest Basic Regular" stylemapfamilyname="DesignspaceTest Basic" stylemapstylename="regular" stylename="Regular">
-            <location>
-                <dimension name="Weight" xvalue="90" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest Basic" filename="out/DesignspaceTestBasic-Semibold.ufo" name="DesignspaceTest Basic Semibold" stylemapfamilyname="DesignspaceTest Basic Semibold" stylemapstylename="regular" stylename="Semibold">
-            <location>
-                <dimension name="Weight" xvalue="128" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest Basic" filename="out/DesignspaceTestBasic-Bold.ufo" name="DesignspaceTest Basic Bold" stylemapfamilyname="DesignspaceTest Basic" stylemapstylename="bold" stylename="Bold">
-            <location>
-                <dimension name="Weight" xvalue="151" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest Basic" filename="out/DesignspaceTestBasic-Black.ufo" name="DesignspaceTest Basic Black" stylemapfamilyname="DesignspaceTest Basic Black" stylemapstylename="regular" stylename="Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-    </instances>
+<?xml version='1.0' encoding='UTF-8'?>
+<designspace format="5.0">
+  <axes>
+    <axis tag="wght" name="Weight" minimum="400" maximum="900" default="400">
+      <map input="400" output="90"/>
+      <map input="600" output="128"/>
+      <map input="700" output="151"/>
+      <map input="900" output="190"/>
+    </axis>
+  </axes>
+  <sources>
+    <source filename="DesignspaceTestBasic-Regular.ufo" name="DesignspaceTest Basic Regular" familyname="DesignspaceTest Basic" stylename="Regular">
+      <lib copy="1"/>
+      <groups copy="1"/>
+      <features copy="1"/>
+      <info copy="1"/>
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+      </location>
+    </source>
+    <source filename="DesignspaceTestBasic-Black.ufo" name="DesignspaceTest Basic Black" familyname="DesignspaceTest Basic" stylename="Black">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+      </location>
+    </source>
+  </sources>
+  <instances>
+    <instance name="DesignspaceTest Basic Regular" familyname="DesignspaceTest Basic" stylename="Regular" filename="out/DesignspaceTestBasic-Regular.ufo" stylemapfamilyname="DesignspaceTest Basic" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest Basic Semibold" familyname="DesignspaceTest Basic" stylename="Semibold" filename="out/DesignspaceTestBasic-Semibold.ufo" stylemapfamilyname="DesignspaceTest Basic Semibold" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="128"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest Basic Bold" familyname="DesignspaceTest Basic" stylename="Bold" filename="out/DesignspaceTestBasic-Bold.ufo" stylemapfamilyname="DesignspaceTest Basic" stylemapstylename="bold">
+      <location>
+        <dimension name="Weight" xvalue="151"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest Basic Black" familyname="DesignspaceTest Basic" stylename="Black" filename="out/DesignspaceTestBasic-Black.ufo" stylemapfamilyname="DesignspaceTest Basic Black" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+      </location>
+    </instance>
+  </instances>
 </designspace>
diff --git a/tests/data/DesignspaceTestFamilyName.designspace b/tests/data/DesignspaceTestFamilyName.designspace
index ea47a7c..087f4d7 100644
--- a/tests/data/DesignspaceTestFamilyName.designspace
+++ b/tests/data/DesignspaceTestFamilyName.designspace
@@ -1,41 +1,37 @@
-<?xml version='1.0' encoding='utf-8'?>
-<designspace format="4.1">
-    <axes>
-        <axis default="400" maximum="600" minimum="400" name="Weight" tag="wght">
-            <map input="400" output="90" />
-            <map input="600" output="151" />
-        </axis>
-    </axes>
-    <sources>
-        <source familyname="DesignspaceTest FamilyName" filename="DesignspaceTestFamilyName-Regular.ufo" name="DesignspaceTest FamilyName Regular" stylename="Regular">
-            <lib copy="1" />
-            <groups copy="1" />
-            <features copy="1" />
-            <info copy="1" />
-            <location>
-                <dimension name="Weight" xvalue="90" />
-            </location>
-        </source>
-        <source familyname="DesignspaceTest FamilyName" filename="DesignspaceTestFamilyName-Black.ufo" name="DesignspaceTest FamilyName Black" stylename="Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-            </location>
-        </source>
-    </sources>
-    <instances>
-        <instance familyname="DesignspaceTest FamilyName" filename="out/DesignspaceTestFamilyName-Regular.ufo" name="DesignspaceTest FamilyName Regular" stylemapfamilyname="DesignspaceTest FamilyName" stylemapstylename="regular" stylename="Regular">
-            <location>
-                <dimension name="Weight" xvalue="90" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="Custom Family" filename="out/CustomFamily-Regular.ufo" name="Custom Family Regular" stylemapfamilyname="Custom Family" stylemapstylename="regular" stylename="Regular">
-            <location>
-                <dimension name="Weight" xvalue="151" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-    </instances>
+<?xml version='1.0' encoding='UTF-8'?>
+<designspace format="5.0">
+  <axes>
+    <axis tag="wght" name="Weight" minimum="400" maximum="600" default="400">
+      <map input="400" output="90"/>
+      <map input="600" output="151"/>
+    </axis>
+  </axes>
+  <sources>
+    <source filename="DesignspaceTestFamilyName-Regular.ufo" name="DesignspaceTest FamilyName Regular" familyname="DesignspaceTest FamilyName" stylename="Regular">
+      <lib copy="1"/>
+      <groups copy="1"/>
+      <features copy="1"/>
+      <info copy="1"/>
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+      </location>
+    </source>
+    <source filename="DesignspaceTestFamilyName-Black.ufo" name="DesignspaceTest FamilyName Black" familyname="DesignspaceTest FamilyName" stylename="Black">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+      </location>
+    </source>
+  </sources>
+  <instances>
+    <instance name="DesignspaceTest FamilyName Regular" familyname="DesignspaceTest FamilyName" stylename="Regular" filename="out/DesignspaceTestFamilyName-Regular.ufo" stylemapfamilyname="DesignspaceTest FamilyName" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+      </location>
+    </instance>
+    <instance name="Custom Family Regular" familyname="Custom Family" stylename="Regular" filename="out/CustomFamily-Regular.ufo" stylemapfamilyname="Custom Family" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="151"/>
+      </location>
+    </instance>
+  </instances>
 </designspace>
diff --git a/tests/data/DesignspaceTestFileName.designspace b/tests/data/DesignspaceTestFileName.designspace
index da4a79f..df4173c 100644
--- a/tests/data/DesignspaceTestFileName.designspace
+++ b/tests/data/DesignspaceTestFileName.designspace
@@ -1,41 +1,37 @@
-<?xml version='1.0' encoding='utf-8'?>
-<designspace format="4.1">
-    <axes>
-        <axis default="400" maximum="600" minimum="400" name="Weight" tag="wght">
-            <map input="400" output="90" />
-            <map input="600" output="151" />
-        </axis>
-    </axes>
-    <sources>
-        <source familyname="DesignspaceTest FamilyName" filename="DesignspaceTestFamilyName-Regular.ufo" name="DesignspaceTest FamilyName Regular" stylename="Regular">
-            <lib copy="1" />
-            <groups copy="1" />
-            <features copy="1" />
-            <info copy="1" />
-            <location>
-                <dimension name="Weight" xvalue="90" />
-            </location>
-        </source>
-        <source familyname="DesignspaceTest FamilyName" filename="DesignspaceTestFamilyName-Black.ufo" name="DesignspaceTest FamilyName Black" stylename="Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-            </location>
-        </source>
-    </sources>
-    <instances>
-        <instance familyname="DesignspaceTest FamilyName" filename="out/DesignspaceTestFamilyName-Regular.ufo" name="DesignspaceTest FamilyName Regular" stylemapfamilyname="DesignspaceTest FamilyName" stylemapstylename="regular" stylename="Regular">
-            <location>
-                <dimension name="Weight" xvalue="90" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest FamilyName" filename="out/Custom FileName.ufo" name="DesignspaceTest FamilyName Regular" stylemapfamilyname="DesignspaceTest FamilyName" stylemapstylename="regular" stylename="Regular">
-            <location>
-                <dimension name="Weight" xvalue="151" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-    </instances>
+<?xml version='1.0' encoding='UTF-8'?>
+<designspace format="5.0">
+  <axes>
+    <axis tag="wght" name="Weight" minimum="400" maximum="600" default="400">
+      <map input="400" output="90"/>
+      <map input="600" output="151"/>
+    </axis>
+  </axes>
+  <sources>
+    <source filename="DesignspaceTestFamilyName-Regular.ufo" name="DesignspaceTest FamilyName Regular" familyname="DesignspaceTest FamilyName" stylename="Regular">
+      <lib copy="1"/>
+      <groups copy="1"/>
+      <features copy="1"/>
+      <info copy="1"/>
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+      </location>
+    </source>
+    <source filename="DesignspaceTestFamilyName-Black.ufo" name="DesignspaceTest FamilyName Black" familyname="DesignspaceTest FamilyName" stylename="Black">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+      </location>
+    </source>
+  </sources>
+  <instances>
+    <instance name="DesignspaceTest FamilyName Regular" familyname="DesignspaceTest FamilyName" stylename="Regular" filename="out/DesignspaceTestFamilyName-Regular.ufo" stylemapfamilyname="DesignspaceTest FamilyName" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest FamilyName Regular" familyname="DesignspaceTest FamilyName" stylename="Regular" filename="out/Custom FileName.ufo" stylemapfamilyname="DesignspaceTest FamilyName" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="151"/>
+      </location>
+    </instance>
+  </instances>
 </designspace>
diff --git a/tests/data/DesignspaceTestInactive.designspace b/tests/data/DesignspaceTestInactive.designspace
index 14ad11f..e9c84e5 100644
--- a/tests/data/DesignspaceTestInactive.designspace
+++ b/tests/data/DesignspaceTestInactive.designspace
@@ -1,33 +1,31 @@
-<?xml version='1.0' encoding='utf-8'?>
-<designspace format="4.1">
-    <axes>
-        <axis default="600" maximum="600" minimum="600" name="Weight" tag="wght">
-            <map input="600" output="128" />
-        </axis>
-    </axes>
-    <sources>
-        <source familyname="DesignspaceTest Inactive" filename="DesignspaceTestInactive-Regular.ufo" name="DesignspaceTest Inactive Regular" stylename="Regular">
-            <lib copy="1" />
-            <groups copy="1" />
-            <features copy="1" />
-            <info copy="1" />
-            <location>
-                <dimension name="Weight" xvalue="90" />
-            </location>
-        </source>
-        <source familyname="DesignspaceTest Inactive" filename="DesignspaceTestInactive-Black.ufo" name="DesignspaceTest Inactive Black" stylename="Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-            </location>
-        </source>
-    </sources>
-    <instances>
-        <instance familyname="DesignspaceTest Inactive" filename="out/DesignspaceTestInactive-Semibold.ufo" name="DesignspaceTest Inactive Semibold" stylemapfamilyname="DesignspaceTest Inactive Semibold" stylemapstylename="regular" stylename="Semibold">
-            <location>
-                <dimension name="Weight" xvalue="128" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-    </instances>
+<?xml version='1.0' encoding='UTF-8'?>
+<designspace format="5.0">
+  <axes>
+    <axis tag="wght" name="Weight" minimum="600" maximum="600" default="600">
+      <map input="600" output="128"/>
+    </axis>
+  </axes>
+  <sources>
+    <source filename="DesignspaceTestInactive-Regular.ufo" name="DesignspaceTest Inactive Regular" familyname="DesignspaceTest Inactive" stylename="Regular">
+      <lib copy="1"/>
+      <groups copy="1"/>
+      <features copy="1"/>
+      <info copy="1"/>
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+      </location>
+    </source>
+    <source filename="DesignspaceTestInactive-Black.ufo" name="DesignspaceTest Inactive Black" familyname="DesignspaceTest Inactive" stylename="Black">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+      </location>
+    </source>
+  </sources>
+  <instances>
+    <instance name="DesignspaceTest Inactive Semibold" familyname="DesignspaceTest Inactive" stylename="Semibold" filename="out/DesignspaceTestInactive-Semibold.ufo" stylemapfamilyname="DesignspaceTest Inactive Semibold" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="128"/>
+      </location>
+    </instance>
+  </instances>
 </designspace>
diff --git a/tests/data/DesignspaceTestInstanceOrder.designspace b/tests/data/DesignspaceTestInstanceOrder.designspace
index cbc7e2b..022d948 100644
--- a/tests/data/DesignspaceTestInstanceOrder.designspace
+++ b/tests/data/DesignspaceTestInstanceOrder.designspace
@@ -1,49 +1,43 @@
-<?xml version='1.0' encoding='utf-8'?>
-<designspace format="4.1">
-    <axes>
-        <axis default="400" maximum="900" minimum="400" name="Weight" tag="wght">
-            <map input="400" output="90" />
-            <map input="700" output="151" />
-            <map input="900" output="190" />
-        </axis>
-    </axes>
-    <sources>
-        <source familyname="DesignspaceTest InstanceOrder" filename="DesignspaceTestInstanceOrder-Regular.ufo" name="DesignspaceTest InstanceOrder Regular" stylename="Regular">
-            <lib copy="1" />
-            <groups copy="1" />
-            <features copy="1" />
-            <info copy="1" />
-            <location>
-                <dimension name="Weight" xvalue="90" />
-            </location>
-        </source>
-        <source familyname="DesignspaceTest InstanceOrder" filename="DesignspaceTestInstanceOrder-Black.ufo" name="DesignspaceTest InstanceOrder Black" stylename="Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-            </location>
-        </source>
-    </sources>
-    <instances>
-        <instance familyname="DesignspaceTest InstanceOrder" filename="out/DesignspaceTestInstanceOrder-Black.ufo" name="DesignspaceTest InstanceOrder Black" stylemapfamilyname="DesignspaceTest InstanceOrder Black" stylemapstylename="regular" stylename="Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest InstanceOrder" filename="out/DesignspaceTestInstanceOrder-Regular.ufo" name="DesignspaceTest InstanceOrder Regular" stylemapfamilyname="DesignspaceTest InstanceOrder" stylemapstylename="regular" stylename="Regular">
-            <location>
-                <dimension name="Weight" xvalue="90" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest InstanceOrder" filename="out/DesignspaceTestInstanceOrder-Bold.ufo" name="DesignspaceTest InstanceOrder Bold" stylemapfamilyname="DesignspaceTest InstanceOrder" stylemapstylename="bold" stylename="Bold">
-            <location>
-                <dimension name="Weight" xvalue="151" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-    </instances>
+<?xml version='1.0' encoding='UTF-8'?>
+<designspace format="5.0">
+  <axes>
+    <axis tag="wght" name="Weight" minimum="400" maximum="900" default="400">
+      <map input="400" output="90"/>
+      <map input="700" output="151"/>
+      <map input="900" output="190"/>
+    </axis>
+  </axes>
+  <sources>
+    <source filename="DesignspaceTestInstanceOrder-Regular.ufo" name="DesignspaceTest InstanceOrder Regular" familyname="DesignspaceTest InstanceOrder" stylename="Regular">
+      <lib copy="1"/>
+      <groups copy="1"/>
+      <features copy="1"/>
+      <info copy="1"/>
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+      </location>
+    </source>
+    <source filename="DesignspaceTestInstanceOrder-Black.ufo" name="DesignspaceTest InstanceOrder Black" familyname="DesignspaceTest InstanceOrder" stylename="Black">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+      </location>
+    </source>
+  </sources>
+  <instances>
+    <instance name="DesignspaceTest InstanceOrder Black" familyname="DesignspaceTest InstanceOrder" stylename="Black" filename="out/DesignspaceTestInstanceOrder-Black.ufo" stylemapfamilyname="DesignspaceTest InstanceOrder Black" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest InstanceOrder Regular" familyname="DesignspaceTest InstanceOrder" stylename="Regular" filename="out/DesignspaceTestInstanceOrder-Regular.ufo" stylemapfamilyname="DesignspaceTest InstanceOrder" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest InstanceOrder Bold" familyname="DesignspaceTest InstanceOrder" stylename="Bold" filename="out/DesignspaceTestInstanceOrder-Bold.ufo" stylemapfamilyname="DesignspaceTest InstanceOrder" stylemapstylename="bold">
+      <location>
+        <dimension name="Weight" xvalue="151"/>
+      </location>
+    </instance>
+  </instances>
 </designspace>
diff --git a/tests/data/DesignspaceTestTwoAxes.designspace b/tests/data/DesignspaceTestTwoAxes.designspace
index fdf6dc8..e63bd08 100644
--- a/tests/data/DesignspaceTestTwoAxes.designspace
+++ b/tests/data/DesignspaceTestTwoAxes.designspace
@@ -1,115 +1,101 @@
-<?xml version='1.0' encoding='utf-8'?>
-<designspace format="4.1">
-    <axes>
-        <axis default="400" maximum="900" minimum="100" name="Weight" tag="wght">
-            <map input="100" output="26" />
-            <map input="400" output="90" />
-            <map input="600" output="128" />
-            <map input="900" output="190" />
-        </axis>
-        <axis default="100" maximum="100" minimum="62.500000" name="Width" tag="wdth">
-            <map input="62.500000" output="70" />
-            <map input="100" output="100" />
-        </axis>
-    </axes>
-    <sources>
-        <source familyname="DesignspaceTest TwoAxes" filename="DesignspaceTestTwoAxes-Regular.ufo" name="DesignspaceTest TwoAxes Regular" stylename="Regular">
-            <lib copy="1" />
-            <groups copy="1" />
-            <features copy="1" />
-            <info copy="1" />
-            <location>
-                <dimension name="Weight" xvalue="90" />
-                <dimension name="Width" xvalue="100" />
-            </location>
-        </source>
-        <source familyname="DesignspaceTest TwoAxes" filename="DesignspaceTestTwoAxes-Black.ufo" name="DesignspaceTest TwoAxes Black" stylename="Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-                <dimension name="Width" xvalue="100" />
-            </location>
-        </source>
-        <source familyname="DesignspaceTest TwoAxes" filename="DesignspaceTestTwoAxes-Thin.ufo" name="DesignspaceTest TwoAxes Thin" stylename="Thin">
-            <location>
-                <dimension name="Weight" xvalue="26" />
-                <dimension name="Width" xvalue="100" />
-            </location>
-        </source>
-        <source familyname="DesignspaceTest TwoAxes" filename="DesignspaceTestTwoAxes-ExtraCond.ufo" name="DesignspaceTest TwoAxes ExtraCond" stylename="ExtraCond">
-            <location>
-                <dimension name="Weight" xvalue="90" />
-                <dimension name="Width" xvalue="70" />
-            </location>
-        </source>
-        <source familyname="DesignspaceTest TwoAxes" filename="DesignspaceTestTwoAxes-ExtraCondBlack.ufo" name="DesignspaceTest TwoAxes ExtraCond Black" stylename="ExtraCond Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-                <dimension name="Width" xvalue="70" />
-            </location>
-        </source>
-        <source familyname="DesignspaceTest TwoAxes" filename="DesignspaceTestTwoAxes-ExtraCondThin.ufo" name="DesignspaceTest TwoAxes ExtraCond Thin" stylename="ExtraCond Thin">
-            <location>
-                <dimension name="Weight" xvalue="26" />
-                <dimension name="Width" xvalue="70" />
-            </location>
-        </source>
-    </sources>
-    <instances>
-        <instance familyname="DesignspaceTest TwoAxes" filename="out/DesignspaceTestTwoAxes-Thin.ufo" name="DesignspaceTest TwoAxes Thin" stylemapfamilyname="DesignspaceTest TwoAxes Thin" stylemapstylename="regular" stylename="Thin">
-            <location>
-                <dimension name="Weight" xvalue="26" />
-                <dimension name="Width" xvalue="100" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest TwoAxes" filename="out/DesignspaceTestTwoAxes-Regular.ufo" name="DesignspaceTest TwoAxes Regular" stylemapfamilyname="DesignspaceTest TwoAxes" stylemapstylename="regular" stylename="Regular">
-            <location>
-                <dimension name="Weight" xvalue="90" />
-                <dimension name="Width" xvalue="100" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest TwoAxes" filename="out/DesignspaceTestTwoAxes-Semibold.ufo" name="DesignspaceTest TwoAxes Semibold" stylemapfamilyname="DesignspaceTest TwoAxes Semibold" stylemapstylename="regular" stylename="Semibold">
-            <location>
-                <dimension name="Weight" xvalue="128" />
-                <dimension name="Width" xvalue="100" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest TwoAxes" filename="out/DesignspaceTestTwoAxes-Black.ufo" name="DesignspaceTest TwoAxes Black" stylemapfamilyname="DesignspaceTest TwoAxes Black" stylemapstylename="regular" stylename="Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-                <dimension name="Width" xvalue="100" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest TwoAxes" filename="out/DesignspaceTestTwoAxes-ExtraCondensedThin.ufo" name="DesignspaceTest TwoAxes ExtraCondensed Thin" stylemapfamilyname="DesignspaceTest TwoAxes ExtraCondensed Thin" stylemapstylename="regular" stylename="ExtraCondensed Thin">
-            <location>
-                <dimension name="Weight" xvalue="26" />
-                <dimension name="Width" xvalue="70" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest TwoAxes" filename="out/DesignspaceTestTwoAxes-ExtraCondensed.ufo" name="DesignspaceTest TwoAxes ExtraCondensed" stylemapfamilyname="DesignspaceTest TwoAxes ExtraCondensed" stylemapstylename="regular" stylename="ExtraCondensed">
-            <location>
-                <dimension name="Weight" xvalue="90" />
-                <dimension name="Width" xvalue="70" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-        <instance familyname="DesignspaceTest TwoAxes" filename="out/DesignspaceTestTwoAxes-ExtraCondensedBlack.ufo" name="DesignspaceTest TwoAxes ExtraCondensed Black" stylemapfamilyname="DesignspaceTest TwoAxes ExtraCondensed Black" stylemapstylename="regular" stylename="ExtraCondensed Black">
-            <location>
-                <dimension name="Weight" xvalue="190" />
-                <dimension name="Width" xvalue="70" />
-            </location>
-            <kerning />
-            <info />
-        </instance>
-    </instances>
+<?xml version='1.0' encoding='UTF-8'?>
+<designspace format="5.0">
+  <axes>
+    <axis tag="wght" name="Weight" minimum="100" maximum="900" default="400">
+      <map input="100" output="26"/>
+      <map input="400" output="90"/>
+      <map input="600" output="128"/>
+      <map input="900" output="190"/>
+    </axis>
+    <axis tag="wdth" name="Width" minimum="62.5" maximum="100" default="100">
+      <map input="62.5" output="70"/>
+      <map input="100" output="100"/>
+    </axis>
+  </axes>
+  <sources>
+    <source filename="DesignspaceTestTwoAxes-Regular.ufo" name="DesignspaceTest TwoAxes Regular" familyname="DesignspaceTest TwoAxes" stylename="Regular">
+      <lib copy="1"/>
+      <groups copy="1"/>
+      <features copy="1"/>
+      <info copy="1"/>
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+        <dimension name="Width" xvalue="100"/>
+      </location>
+    </source>
+    <source filename="DesignspaceTestTwoAxes-Black.ufo" name="DesignspaceTest TwoAxes Black" familyname="DesignspaceTest TwoAxes" stylename="Black">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+        <dimension name="Width" xvalue="100"/>
+      </location>
+    </source>
+    <source filename="DesignspaceTestTwoAxes-Thin.ufo" name="DesignspaceTest TwoAxes Thin" familyname="DesignspaceTest TwoAxes" stylename="Thin">
+      <location>
+        <dimension name="Weight" xvalue="26"/>
+        <dimension name="Width" xvalue="100"/>
+      </location>
+    </source>
+    <source filename="DesignspaceTestTwoAxes-ExtraCond.ufo" name="DesignspaceTest TwoAxes ExtraCond" familyname="DesignspaceTest TwoAxes" stylename="ExtraCond">
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+        <dimension name="Width" xvalue="70"/>
+      </location>
+    </source>
+    <source filename="DesignspaceTestTwoAxes-ExtraCondBlack.ufo" name="DesignspaceTest TwoAxes ExtraCond Black" familyname="DesignspaceTest TwoAxes" stylename="ExtraCond Black">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+        <dimension name="Width" xvalue="70"/>
+      </location>
+    </source>
+    <source filename="DesignspaceTestTwoAxes-ExtraCondThin.ufo" name="DesignspaceTest TwoAxes ExtraCond Thin" familyname="DesignspaceTest TwoAxes" stylename="ExtraCond Thin">
+      <location>
+        <dimension name="Weight" xvalue="26"/>
+        <dimension name="Width" xvalue="70"/>
+      </location>
+    </source>
+  </sources>
+  <instances>
+    <instance name="DesignspaceTest TwoAxes Thin" familyname="DesignspaceTest TwoAxes" stylename="Thin" filename="out/DesignspaceTestTwoAxes-Thin.ufo" stylemapfamilyname="DesignspaceTest TwoAxes Thin" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="26"/>
+        <dimension name="Width" xvalue="100"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest TwoAxes Regular" familyname="DesignspaceTest TwoAxes" stylename="Regular" filename="out/DesignspaceTestTwoAxes-Regular.ufo" stylemapfamilyname="DesignspaceTest TwoAxes" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+        <dimension name="Width" xvalue="100"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest TwoAxes Semibold" familyname="DesignspaceTest TwoAxes" stylename="Semibold" filename="out/DesignspaceTestTwoAxes-Semibold.ufo" stylemapfamilyname="DesignspaceTest TwoAxes Semibold" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="128"/>
+        <dimension name="Width" xvalue="100"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest TwoAxes Black" familyname="DesignspaceTest TwoAxes" stylename="Black" filename="out/DesignspaceTestTwoAxes-Black.ufo" stylemapfamilyname="DesignspaceTest TwoAxes Black" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+        <dimension name="Width" xvalue="100"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest TwoAxes ExtraCondensed Thin" familyname="DesignspaceTest TwoAxes" stylename="ExtraCondensed Thin" filename="out/DesignspaceTestTwoAxes-ExtraCondensedThin.ufo" stylemapfamilyname="DesignspaceTest TwoAxes ExtraCondensed Thin" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="26"/>
+        <dimension name="Width" xvalue="70"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest TwoAxes ExtraCondensed" familyname="DesignspaceTest TwoAxes" stylename="ExtraCondensed" filename="out/DesignspaceTestTwoAxes-ExtraCondensed.ufo" stylemapfamilyname="DesignspaceTest TwoAxes ExtraCondensed" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="90"/>
+        <dimension name="Width" xvalue="70"/>
+      </location>
+    </instance>
+    <instance name="DesignspaceTest TwoAxes ExtraCondensed Black" familyname="DesignspaceTest TwoAxes" stylename="ExtraCondensed Black" filename="out/DesignspaceTestTwoAxes-ExtraCondensedBlack.ufo" stylemapfamilyname="DesignspaceTest TwoAxes ExtraCondensed Black" stylemapstylename="regular">
+      <location>
+        <dimension name="Weight" xvalue="190"/>
+        <dimension name="Width" xvalue="70"/>
+      </location>
+    </instance>
+  </instances>
 </designspace>
